Bug 507544 - Review Request: perl-Math-Curve-Hilbert - Perl Implementation of Hilberts space filling Curve
Review Request: perl-Math-Curve-Hilbert - Perl Implementation of Hilberts spa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 05:23 EDT by Rasmus Ory Nielsen
Modified: 2009-08-15 07:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 07:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rasmus Ory Nielsen 2009-06-23 05:23:59 EDT
Spec URL: http://ron.fedorapeople.org/perl-Math-Curve-Hilbert.spec
SRPM URL: http://ron.fedorapeople.org/perl-Math-Curve-Hilbert-0.04-1.fc11.src.rpm
Description:
The Hilbert Curve module provides some useful functions using Hilberts Space-
filling Curve. This is handy for things like Dithering, Flattening n-
dimensional data, fractals - all kind of things really.
Comment 1 Rasmus Ory Nielsen 2009-06-24 03:39:36 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1433035
Comment 2 Jason Tibbitts 2009-06-27 03:04:17 EDT
Builds fine and rpmlint is silent.

I would suggest a tweaked %description with better grammar and capitalization:

The Hilbert curve module provides some useful functions using Hilberts space-
filling Curve. This is handy for things like dithering, flattening
n-dimensional data, fractals - all kinds of things really.

That's terribly minor, so you can fix it up if you like when you check in.

* source files match upstream.  sha256sum:
   455c2932e99a4b1609f5b17176b49a18e99fd8af06c76f161d5083d25b57d825  Math-Curve-
   Hilbert-0.04.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
x description could use some minor tweaks.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Math::Curve::Hilbert) = 0.04
   perl-Math-Curve-Hilbert = 0.04-1.fc12
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Data::Dumper)
   perl(strict)
   perl(vars)

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 3 Rasmus Ory Nielsen 2009-06-29 13:27:44 EDT
Hi Jason,

Thank you for the review.
I will fix the %description field when I check the package in.

Best regards,
Rasmus
Comment 4 Jason Tibbitts 2009-07-08 14:43:02 EDT
Did you intend to make a CVS request so that you can get this checked in and built?  http://fedoraproject.org/wiki/CVS_admin_requests
Comment 5 Rasmus Ory Nielsen 2009-07-08 16:18:08 EDT
I apologize for my inactivity. Work has been taking up all my time lately.
But, I will try to get checked in tomorrow.
Comment 6 Jason Tibbitts 2009-07-09 11:48:03 EDT
That's fine; I just wanted to make sure you weren't having problems with the procedure.
Comment 7 Rasmus Ory Nielsen 2009-07-10 07:14:31 EDT
New Package CVS Request
=======================
Package Name: perl-Math-Curve-Hilbert
Short Description: Perl implementation of Hilberts space-filling curve
Owners: ron
Branches: F-10 F-11
InitialCC: perl-sig
Comment 8 Jason Tibbitts 2009-07-10 14:12:20 EDT
CVS done.
Comment 9 Rasmus Ory Nielsen 2009-07-10 17:44:40 EDT
Checked in and built on devel, F-10, F-11.
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.